Register a device
Register or transfer an e-paper device after IoT confirms ownership for the authorized target organization. Availability checks never reset devices. Activation secrets stay on the server.
Middlewares: authMiddleware, validateBodyOrganization, validateOrganizationDelete
API key for authentication
In: header
Path Parameters
Device serial
A valid MongoDB ObjectId
A valid MongoDB ObjectId
A valid MongoDB ObjectId
Response Body
application/json
curl -X POST "https://api.paperlesspaper.de/v1/devices/registerdevice/DEVICE-EXAMPLE" \ -H "Content-Type: application/json" \ -d '{ "enable": true, "organization": "682fd0d7d4a6325d9d45b86d", "patient": "682fd0d7d4a6325d9d45b86d", "paper": null }'nullReboot a device POST
Initiate a remote reboot of the specified device. Middlewares: `authMiddleware`, `validateDevice`, `validateOrganizationDelete`
Check whether a device can be registered GET
Register or transfer an e-paper device after IoT confirms ownership for the authorized target organization. Availability checks never reset devices. Activation secrets stay on the server. Middlewares: `authMiddleware`, `validateQueryOrganization`, `validateOrganizationDelete`